<template>
  <div class="page">
    <div class="page-main">
      <div class="page-main-table-wrapper">
        <table-card :title="'Bids'" :imgSrc="'arrow.svg'" :items="getBids" :headColor="'#00ddc2'" />
      </div>
      <div class="page-main-table-wrapper">
        <table-card :title="'Asks'" :imgSrc="'arrow_down.svg'" :items="getAsks" :headColor="'#DC3545'"/>
      </div>
    </div>
  </div>
</template>

<script>
import TableCard from './TableCard';

import { mapGetters } from 'vuex'

export default {
  name: 'App',
  components: {
    TableCard,
  },
  computed: mapGetters(['getBids','getAsks','getSelected']),
  async mounted() {
    this.$store.dispatch('fetchBook',this.getSelected);
    this.$store.dispatch('subscribeBook',this.getSelected);
  },
}
</script>
<style lang="scss">
 @import '../assets/scss/_variables.scss';
.page {
  width: 100%;
  padding-top: 20px;
  &-main {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    &-table-wrapper {
        max-width: 400px;
        margin: 16px 10px;
    }
  }
}
</style>
